Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.color.theory
Class TetradTheoryStrategy

    java.lang.Object
      toxi.color.theory.TetradTheoryStrategy

All Implemented Interfaces:
  ColorTheoryStrategy

    public class TetradTheoryStrategy

extends java.lang.Object
implements ColorTheoryStrategy

Implements the tetradic color scheme to create 4 compatible colors for the given one.

Field Summary
`static java.lang.String` | `NAME`

Constructor Summary
`TetradTheoryStrategy()`
`TetradTheoryStrategy(int theta)` Constructs a new instance with the given color offset angle.

Method Summary
`ColorList` | `createListFromColor(ReadonlyTColor src)` Creates a new `ColorList` of colors for the supplied source color based on the strategy.
`java.lang.String` | `getName()` Returns the unique name of the strategy.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### TetradTheoryStrategy

    public TetradTheoryStrategy()

### TetradTheoryStrategy

    public TetradTheoryStrategy(int theta)

  Constructs a new instance with the given color offset angle.

  Parameters:
    `theta` - hue rotation angle in degrees

Method Detail

### createListFromColor

    public ColorList createListFromColor(ReadonlyTColor src)

  Description copied from interface: `ColorTheoryStrategy`
  Creates a new `ColorList` of colors for the supplied source color based on the strategy. The number of colors returned is unspecified and depends on the strategy.

  Specified by:
    `createListFromColor` in interface `ColorTheoryStrategy`
  Parameters:
    `src` - source color
  Returns:
    list of matching colors created by the strategy.

### getName

    public java.lang.String getName()

  Description copied from interface: `ColorTheoryStrategy`
  Returns the unique name of the strategy.

  Specified by:
    `getName` in interface `ColorTheoryStrategy`
  Returns:
    name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD